var sql = require("mssql");
var enumerator = require("enum");
// var mysql = require("mysql");
// var oracle = require("oracle");

exports.creaPoolSql = function(opciones, poolConnection)
{
    var pool = new sql.ConnectionPool(
        {
            user: opciones.user,
            password: opciones.password,
            server: opciones.server,
            database: opciones.database
        }
    );

    pool.connect(err => {
        if(err == null || err == 0)            
            poolConnection(pool, null);
        else           
            poolConnection(null, err);
    });  
}

exports.ejecutaConsulta = function(query, parametros, pool, resultadoEjecucion)
{
    const request = new sql.Request(pool);    

    if(parametros.length > 0)
        for(var i = 0; i <= parametros.length; i++)
        {        
            request.input(parametros[i].nombre, parametros[i].valor)   
        }

    request.query(query,(err, result)=>
    {
        if(err != null)
            resultadoEjecucion(null, err)
        
        else
        {
            var resultado = {
                totalFilas: result.rowsAffected[0],
                filas: result.recordset
            }

            resultadoEjecucion(resultado, null)
        }
    })
}


